Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_DatafileCompiler

Datafile writer class.
Contained in: global
Derived from: none
Derived by: none
Group: Core (Resources)

#include <ClanLib/core.h>

### public function member index:

### Operations:

``static` `void`` | `write` | `(`const` `std::string`& `scr_file`, `const` `std::string`& `dat_file`)`;

## Description:

This class is used to write compressed datafiles.

## Function Member Descriptions:

CL_DatafileCompiler::write - Reads the script file(.scr) and creates a compressed datafile(.dat).
``static` `void`` `write` `(`const` `std::string`& `scr_file`, `const` `std::string`& `dat_file`)`;

> scr_file - path to the .scr file
> dat_file - target for the .dat file